coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/onlineInquiries/{inquiryId}/replies2609170000

Answer to Customer Product Inquiry

# 01

Summary

Answer to Customer Product Inquiry

# 02

Details

Available buyer market: Korean, Taiwan

Customer inquiries (inquiryId) can be answered.
You can provide an answer to one Customer inquiry (inquiryId). First, use the Customer Product Inquiry Query API to confirm its 'inquiryId'.

Make sure that the details of answer (content) are in accordance with the JSON format.

Path

POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/onlineInquiries/{inquiryId}/replies

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00010028/onlineInquiries/846/replies

URL API Name

UPDATE_CUSTOMER_SERVICE_REQUEST
# 03

Path parameters

NameTypeDescription
inquiryId*string
Inquiry ID
The seller enters which question to answer.
First, use Customer Product Inquiry Query API to confirm its 'inquiryId'.
vendorId*string
Seller ID
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
content*string
Content of the answer;
To insert a line break in the answer, use '\n'
vendorId*string
Seller ID
replyBy*string
Seller portal (WING) ID of the person who answers
Request exampleapplication/json
{
  "content": "안녕하세요\n블랙색상이 주문량이 많아 입고 지연중입니다.\n19일 입고예정으로 확인됩니다.",
  "vendorId": "A00010028",
  "replyBy": "wanger"
}
# 05

Response body

Response message

NameTypeDescription
codestring
Server response code
messagestring
Server response message

Response Example

{
  "code": "200",
  "message": "OK"
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check Request Parameter)

The value of replyBy (Responder Seller Portal (WING) ID) is incorrect. Please enter the correct wing ID or vendorId.

Confirm that you entered the correct Seller Portal (WING) ID as the reply By parameter value. An error will occur if you enter an incorrect WING ID.

400400 (Check Request Parameter)

No longer respond to deleted product inquiries.

Please do not enter replies to deleted product inquiries.

400400 (Check Request Parameter)

Could not read JSON: Illegal unquoted character ((CTRL-CHAR, code 13)): has to be escaped using backslash to be included in string value...

Make sure that the details of the answer (content) are in accordance with the JSON format. Newline, backslash, carriage return, etc. must be converted to the JSON format.

400400 (Check Request Parameter)

Enter the content.

Make sure the the details of the answer (content) have been entered.

400400 (Check Request Parameter)

The same answer exists.

Make sure that you did not enter the answer in the same 'inquiryId' redundantly. Redundant answer results in an error.